﻿TourGuide:RegisterGuide("Inscription (1-525)", nil, "Alliance", function()
--------------------------------------
-- Variables that we need for later --
--------------------------------------
local NumPicment, SkillLevel, CheckLevel = 0, 0, 0
CheckLevel = TGTradeS:GetSkillLVLByName("Inscription")

-------------------------
-- Inscription 1-75    --
-------------------------
-- Calculate Needed Hearbs and Picments based on skill level
if CheckLevel < 35 then     NumPicment = "60"; SkillLevel = "35"
--elseif CheckLevel < 55 then NumPicment = "250"; SkillLevel = "55"
--elseif CheckLevel < 85 then NumPicment = "180"; SkillLevel = "85"
else                        NumPicment = "42"; SkillLevel = "75" end
local GuideInfo = [[
R Stormwind City |Z|Stormwind City| |N|Go to Stormwind City. (50, 50)|
h Trade District |Z|Stormwind City| |T| |H|Trade District| |N|Set Heartstone to Trade District. (60.39, 75.28)|

B Train Apprentice Scribe   |TRAINSKILL|Inscription 75| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|
B Buy a Virtuoso Inking Set |LOOT|39505| |Z|Stormwind City| |T| |N|Buy from Stanly McCormick. (49.57, 74.95)|

N Get ]] .. NumPicment .. [[ Alabaster Pigment |SKILL|Inscription ]] .. SkillLevel .. [[|  |LOOT|39151 ]] .. NumPicment .. [[| |N|You will need ]] .. NumPicment .. [[ Alabaster Pigment for this guide. You can Mill those from Bloodthistle, Peacebloom, Silverleaf and Earthroot.|

N Get 18 Alabaster Pigment |SKILL|Inscription 35| |LOOT|39151 18|
N Create 18 Ivory Ink      |SKILL|Inscription 35| |LOOT|37101 18| |N|Save these for later.|

N Get the items listed above |SKILL|Inscription 35|      |LOOT|39354 18, 37101 18|   |Z|Stormwind City| |T| |N|Light Parchment can be bought from Stanly McCormick. (49.57, 74.95)|
N Level Inscription to 35    |LVLTOSKILL|Inscription 35| |N|Create Scroll of: Intellect, Spirit or Stamina.|

B Learn Technique: Moonglow Ink |SKILL|Inscription 75| |LEARNITEM|Moonglow Ink| |Z|Stormwind City| |T| |N|Learn from Catarina Stanford. (49.83, 74.82)|
N Get 42 Alabaster Pigment      |SKILL|Inscription 75| |LOOT|39151 42|
N Create 21 Moonglow Ink        |SKILL|Inscription 75| |LOOT|39469 21| |N|Save these for later.|

B Learn Technique: Enchanting Vellum |SKILL|Inscription 75|      |LEARNITEM|Enchanting Vellum| |Z|Stormwind City| |T| |N|Learn from Catarina Stanford. (49.83, 74.82)|
N Get the items listed above         |SKILL|Inscription 75|      |LOOT|39354 42, 39469 21|     |Z|Stormwind City| |T| |N|Light Parchment can be bought from Stanly McCormick. (49.57, 74.95)|
N Level Inscription to 75            |LVLTOSKILL|Inscription 75| |N|Create Enchanting Vellum.|
]]

-------------------------
-- Inscription 75-150  --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Journeyman Scribe |TRAINSKILL|Inscription 150| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

B Learn Pattern: Embossed Leather Gloves |SKILL|Inscription 85|      |LEARNITEM|Embossed Leather Gloves| |Z|Stormwind City| |T| |N|Learn from Catarina Stanford. (49.83, 74.82)|
]]

-------------------------
-- Inscription 150-200 --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Expert Scribe |TRAINSKILL|Inscription 225| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

]]

-------------------------
-- Inscription 200-300 --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Artisan Scribe |TRAINSKILL|Inscription 300| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

]]

-------------------------
-- Inscription 300-350 --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Master Scribe |TRAINSKILL|Inscription 375| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

]]

-------------------------
-- Inscription 350-425 --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Grand Master Scribe |TRAINSKILL|Inscription 450| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

]]

-------------------------
-- Inscription 425-525 --
-------------------------
GuideInfo = GuideInfo .. [[
B Train Illustrious Grand Master Scribe |TRAINSKILL|Inscription 525| |Z|Stormwind City| |T| |N|Train from Catarina Stanford. (49.83, 74.82)|

N Congratulation!!!!!!!!!!!!!!!! |N|You have reached skill 525 in Inscription. Thank you for using the this guide|
]]

return GuideInfo
end)

------------------------------------------------------------------------------------
-- More detailed info can be found here:
-- http://github.com/tekkub/TourGuide/blob/docs/writing_guides.markdown
------------------------------------------------------------------------------------
-- Headlines and Objective icons
------------------------------------------------------------------------------------
-- A QuestName |QID|12593| ---------- Accept quest
-- C QuestName |QID|8325| ----------- Kill stuff (?)
-- T QuestName |N|note| |QID|12593| - Turnin quest
-- b Stormwind City ----------------- Boat to Stormwind City
-- f Stormwind City ----------------- Get flight point
-- F Ironforge ---------------------- Fly to Ironforge
-- h Falconwing Square -------------- Set hearth loc to Falconwing Square
-- H Falconwing Square -------------- Use hearth to go to loc Falconwing Square
-- R Dawning Lane ------------------- Go to Dawning Lane
-- N Kill any cats you come across -- Note entry
-- B [Suntouched Special Reserve]---- Buy something
-- U Orb of Returning |U|24335| ----- Use item
-- K Nightsaber --------------------- Kill stuff entry(?)
--'
------------------------------------------------------------------------------------
-- Sub objectives
------------------------------------------------------------------------------------
-- |N|Somethins is wrong here| ---------------- Note: Note shown when mouse over objective frame
-- |N|Somtehins is wrong here (34.43, 53.23)| - Note: Same as abow, just with a cordinate that will be send to TomTom or Cartographer
-- |QID|458| ---------------------------------- Quest ID: Used with A, C, T Headlines to tell witch quest it is.
-- |O| ---------------------------------------- Optional: Tells that this quest is optional
-- |L|1234| ----------------------------------- Loot Item ID: Complete when you loot an item
-- |L|1234 10| -------------------------------- Loot Item ID: Same as abowe, just that it will first complete when there have been looted 10 of the item
-- |U|1234| ----------------------------------- Use Item ID: Pops up a button that you can use to use the specifik item
-- |PRE|Quest Name| |O| ----------------------- Prerequsite: Prerequsite quest that need to be done before showing. NOTE: must be optional as well
-- |C|Priest,..| ------------------------------ Class Limit: Objective is limited to one or more classes. multiclass is splited with a ","
--    Classes: Death Knight, Druid, Hunter, Mage, Paladin, Priest, Rogue, Shaman, Warlock, Warrior
-- |R|Human,..| ------------------------------- Race Limit: Objective is limited to one or more races. multirace is splited with a ","
--    Alliance Races: Human, Dwarf, Night Elf, Gnome, Draenei, Worgen
--    Horde Races: Orc, Undead, Tauren, Troll, Blood Elf, Goblin
-- |Z|Darnassus| ------------------------------ Zone: Used to specifi another zone is the objective is on another zone
-- |Q|Quest Name| |QO|Some Mob slain: 10/10| -- Sub-objective: must match the quest log text EXACTLY. Completes when a sub-objective of the quest matches the QO tag. Both values must be specified.
-- |T| ---------------------------------------- Town: Signifies that an objective takes place in a "town". Will only change background color of queue
--'
------------------------------------------------------------------------------------
-- Added functions (Only works if Tour Guide - Trade Skill addon is installed)
------------------------------------------------------------------------------------
-- |CURRENCY|id amount| ---------------- Completes when you have the needed amount of currency.
--    Known id: 61  - Dalaran Jewelcrafting Token
--              81  - Dalaran Cooking Award
--              241 - Champion's Seal
--              361 - Illustrious Jewelcrafter's Token
--              390 - Conquest Points
--              391 - Tol Barad Commendation
--              392 - Honor Points
--              395 - Justice Points
--              396 - Valor Points
--              402 - Chef's Award
-- |H|The Commons| --------------------- Completes if Heartstone is set to that location
--    To be sure it's the right binding location, first bind to that location and check the system message
--    If you already are bind to that location, then you can use the slash command: /heartloc to get the location
-- |LEARNITEM|Filet of Redgill| -------- Completes when you learned to create that item
--    This tag is also used for Auto Learn From Trainer in the option panel.
-- |LOOT|1234 20| ---------------------- Same as |L| but with a corrected bug + it will add an counter to show how far you are in the progress.
-- |LOOT|1234 20, 5678 15, ...| -------- Same as |LOOT| but it will now check for more than just 1 item and all items is listed in the little window over the objective frame.
--    The max number of items to be listed is 6
--    This tag is also used for Auto Buy From Merchant in the option panel.
-- |LVL|43| ---------------------------- Level requirement: Complete when a level exact or higher that specified.
-- |LVLTOSKILL|Fishing 2| -------------- Same as |SKILL| but cant add an second Skillname. It will also add a counter to show how far you are.
-- |MAP|MapFileName[, ZoneName[, MinLevel[, MaxLevel]]]| Show an map icon. When clicked, a map will popup. When the map is clicked it will be larger.
--    MapFileName:
--       MapFileName is the file name of the map stored in "Interface\AddOns\TourGuide-Tradeskill\Maps" folder without the .tga file ending
--       MapFileName must be of imagetype tga.
--       The tga dimension must be 512x256.
--       The tga will be clipped in wow so the usable size is 384x256 left aligned.
--       A tga example can be found in "Interface\AddOns\TourGuide-Tradeskill\Maps" folder.
--       A Photoshop example can be found in "Interface\AddOns\TourGuide-Tradeskill\Maps" folder.
--       This site have maps you can use: http://www.wowhead.com/maps
--       Select what map to use and right click it and then save background image or show background image and then save it.
--    ZoneName: (Optional)
--      ZoneName is the name of the zone, where the map is from.
--      When added, a arrow icon will be shown on the map at the current player position and the direction the player is heading. The arrow will only show if you are in the correct zone.
--    MinLevel: (Optional)
--      MinLevel is the minimum level required to see this map.
--    MaxLevel: (Optional)
--      MaxLevel is the maximum level required to see this map.
--    MinLevel and MaxLevel can be handy if you want to show different maps depending on what level the player are.
-- |SKILL|Fishing 2, ...|--------------- Skillname and Rank: NOTE: case-sensitive. Complete if skill rank is reached.
--    When given a second Skillname and Rank (Rank is optional), then both rank needs to be reached before completing
-- |HAVESKILL|First Aid 200| ----------- Skillname and Rank: NOTE: case-sensitive. Show objective if you have the skill your rank is equal or higher that required.
-- |DONTHAVESKILL|First Aid 200| ------- Skillname and Rank: NOTE: case-sensitive. Show objective if you don't have the skill or your rank is lower that required.
-- |TLOOT|ItemID1 ItemID2 ..., Amount| - Used to get a total amount from 2 - 6 items in a list shown above the objective frame.
--    Completes when a total amount of all 2-6 items together reach the amount added in the TLOOT tag.
--    Mostly used to let the player chose what to buy/get
--    Space is used to separate the itemID's and the comma is used to separate the itemID's from the Amount needed.
-- |TRAINSKILL|Fishing 75| ------------- Skillname and MaxRank: NOTE: case-sensitive. Complete when training a skill. The number must be the max rank that the skill will be after training
--    This tag is also used for Auto Train From Trainer in the option panel.
--'
------------------------------------------------------------------------------------
-- Added slash commands (Only works if Tour Guide - Trade Skill addon is installed)
------------------------------------------------------------------------------------
-- /itemid [Name of item] - Show item id in chat window. Use: open chatbox, type in /itemid and the shift + click on that item to get item id from and press enter.
-- /skillinfo ------------- Show all your skills in chat window. will show all skills both trade skills and non-trade skills
-- /heartloc -------------- Show your current Heartstone binding location